#!/bin/bash

# This is a simple and nasty script that generates list of Phan
# issues discovered in the input issues file (generated by Phan)
# with counts of many times issue of a given type has been
# discovered.
# Output is in a format that could be pasted as array content
# in tests/phan/config.php ('suppress_issue_types' key).
#
# NOTE: You should not use this script to update (increase)
# "stats" of suppressed issues in the config files after you
# checked in some buggy code. You should fix ALL the issues
# instead, and use this script as a helper tool.

ISSUES_FILE='tests/phan/issues/latest'
if [ -n "$1" ];
then
	ISSUES_FILE=$1
fi

ISSUE_TYPES=`sed -r -e 's/^[^ ]+:[0-9]+ ([^ ]+) .+$/\1/' $ISSUES_FILE | sort | uniq`

echo -e "\t'suppress_issue_types' => ["
for i in $ISSUE_TYPES;
do
	ISSUE_COUNT=`grep -c "\b$i\b" $ISSUES_FILE`
	echo -e "\t\t// approximate error count: $ISSUE_COUNT"
	echo -e "\t\t\"$i\","
done

echo -e "\t],"
