<?php

/**
 * Internationalization file with magic words for the Wikibase Client extension.
 *
 * @license GPL-2.0-or-later
 */

$magicWords = [];

/** English (English) */
$magicWords['en'] = [
	'noexternallanglinks' => [ 0, 'noexternallanglinks' ],
	'property' => [ 0, 'property' ],
	'statements' => [ 0, 'statements' ],
	'wbreponame' => [ 0, 'wbreponame' ],
	'shortdesc' => [ 1, 'SHORTDESC' ],
	'shortdesc_noreplace' => [ 0, 'noreplace' ],
	'commaSeparatedList' => [ 0, 'commaseparatedlist' ],
];

/** Arabic (العربية) */
$magicWords['ar'] = [
	'noexternallanglinks' => [ 0, 'لا_وصلات_لغة_خارجية' ],
	'property' => [ 0, 'خاصية' ],
	'wbreponame' => [ 0, 'اسم_مستودع_وب' ],
];

/** Egyptian Arabic (مصرى) */
$magicWords['arz'] = [
	'noexternallanglinks' => [ 0, 'من_غير_وصلات_لغه_خارجيه' ],
	'property' => [ 0, 'خاصيه' ],
	'wbreponame' => [ 0, 'اسم_ريبو_وب' ],
];

/** Czech (čeština) */
$magicWords['cs'] = [
	'property' => [ 0, 'vlastnost' ],
];

/** German (Deutsch) */
$magicWords['de'] = [
	'noexternallanglinks' => [ 0, 'keineexternensprachlinks', 'keine_externen_sprachlinks' ],
	'property' => [ 0, 'eigenschaft' ],
	'wbreponame' => [ 0, 'wbrepositoriumsname' ],
];

/** Zazaki (Zazaki) */
$magicWords['diq'] = [
	'noexternallanglinks' => [ 0, 'tebergreyzuwaniçıniyo' ],
	'property' => [ 0, 'nitelıg' ],
];

/** Esperanto (Esperanto) */
$magicWords['eo'] = [
	'noexternallanglinks' => [ 0, 'neniuligiloalalialingvo' ],
	'property' => [ 0, 'eco' ],
];

/** Spanish (español) */
$magicWords['es'] = [
	'noexternallanglinks' => [ 0, 'nointerwikis' ],
	'property' => [ 0, 'propiedad' ],
];

/** Estonian (eesti) */
$magicWords['et'] = [
	'noexternallanglinks' => [ 0, 'välistekeelelinkideta' ],
	'property' => [ 0, 'omadus' ],
];

/** Persian (فارسی) */
$magicWords['fa'] = [
	'property' => [ 0, 'ویژگی' ],
];

/** Finnish (suomi) */
$magicWords['fi'] = [
	'property' => [ 0, 'ominaisuus' ],
];

/** French (français) */
$magicWords['fr'] = [
	'noexternallanglinks' => [ 0, 'sanslienexterne' ],
	'property' => [ 0, 'propriété' ],
];

/** Western Frisian (Frysk) */
$magicWords['fy'] = [
	'property' => [ 0, 'eigenskip' ],
];

/** Hebrew (עברית) */
$magicWords['he'] = [
	'noexternallanglinks' => [ 0, 'ללא_קישורי_שפה' ],
	'property' => [ 0, 'מאפיין' ],
	'statements' => [ 0, 'קביעות' ],
	'wbreponame' => [ 0, 'שם_המאגר' ],
	'shortdesc' => [ 1, 'תיאור_קצר' ],
];

/** Hindi (हिन्दी) */
$magicWords['hi'] = [
	'noexternallanglinks' => [ 0, 'कोई_अंतरविकी_कड़ियाँ_नहीं', 'कोई_अंतरविकि_कड़ियाँ_नहीं' ],
	'property' => [ 0, 'गुण' ],
];

/** Korean (한국어) */
$magicWords['ko'] = [
	'noexternallanglinks' => [ 0, '바깥언어링크없음', '바깥언어고리없음' ],
	'property' => [ 0, '속성' ],
	'statements' => [ 0, '서술' ],
	'wbreponame' => [ 0, '위키베이스저장소이름' ],
	'shortdesc' => [ 1, '짧은설명' ],
	'shortdesc_noreplace' => [ 0, '대체금지' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$magicWords['lb'] = [
	'property' => [ 0, 'Eegeschaft' ],
];

/** Minangkabau (Baso Minangkabau) */
$magicWords['min'] = [
	'noexternallanglinks' => [ 0, 'tanpainterwiki' ],
	'property' => [ 0, 'properti' ],
];

/** Macedonian (македонски) */
$magicWords['mk'] = [
	'noexternallanglinks' => [ 0, 'безнадворјазврски' ],
	'property' => [ 0, 'својство' ],
	'wbreponame' => [ 0, 'вбскладиштеиме' ],
];

/** Malayalam (മലയാളം) */
$magicWords['ml'] = [
	'noexternallanglinks' => [ 0, 'ബാഹ്യഭാഷാകണ്ണികൾവേണ്ട' ],
];

/** Dutch (Nederlands) */
$magicWords['nl'] = [
	'noexternallanglinks' => [ 0, 'geenexternetaalkoppelingen', 'geenexternetaalverwijzingen' ],
	'property' => [ 0, 'eigenschap' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$magicWords['nn'] = [
	'noexternallanglinks' => [ 0, 'ingenspråklenkjerutanfrå' ],
];

/** Polish (polski) */
$magicWords['pl'] = [
	'property' => [ 0, 'właściwość' ],
];

/** Portuguese (português) */
$magicWords['pt'] = [
	'property' => [ 0, 'propriedade' ],
];

/** Brazilian Portuguese (português do Brasil) */
$magicWords['pt-br'] = [
	'noexternallanglinks' => [ 0, 'naointerwikis' ],
	'property' => [ 0, 'propriedade' ],
];

/** Russian (русский) */
$magicWords['ru'] = [
	'property' => [ 0, 'свойство' ],
];

/** Ukrainian (українська) */
$magicWords['uk'] = [
	'noexternallanglinks' => [ 0, 'беззовнішніхпосилань' ],
	'property' => [ 0, 'властивість', 'свойство' ],
];

/** Urdu (اردو) */
$magicWords['ur'] = [
	'noexternallanglinks' => [ 0, 'بیرونی_زبان_کے_روابط_نہیں' ],
	'property' => [ 0, 'خاصیت' ],
	'statements' => [ 0, 'بیانات' ],
	'wbreponame' => [ 0, 'ویب_مخزن_کا_نام' ],
];

/** Vietnamese (Tiếng Việt) */
$magicWords['vi'] = [
	'noexternallanglinks' => [ 0, 'không_liên_kết_ngôn_ngữ_ngoài', 'khôngliênkếtngônngữngoài' ],
	'property' => [ 0, 'thuộc_tính', 'thuộctính' ],
	'wbreponame' => [ 0, 'tên_kho_wb', 'tênkhowb' ],
];

/** Yiddish (ייִדיש) */
$magicWords['yi'] = [
	'property' => [ 0, 'אייגנשאפט' ],
];

/** Simplified Chinese (中文（简体）‎) */
$magicWords['zh-hans'] = [
	'noexternallanglinks' => [ 0, '无外部语言连接' ],
	'property' => [ 0, '属性' ],
	'wbreponame' => [ 0, 'wb报告名' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$magicWords['zh-hant'] = [
	'noexternallanglinks' => [ 0, '隱藏跨語言連結' ],
	'property' => [ 0, '屬性' ],
	'wbreponame' => [ 0, 'wb報表名稱' ],
];
