enum MessageKeys {
	BRIDGE_DIALOG_TITLE = 'wikibase-client-data-bridge-dialog-title',
	SAVE_CHANGES = 'savechanges',
	PUBLISH_CHANGES = 'publishchanges',
	CANCEL = 'cancel',
	EDIT_DECISION_HEADING = 'wikibase-client-data-bridge-edit-decision-heading',
	EDIT_DECISION_REPLACE_LABEL = 'wikibase-client-data-bridge-edit-decision-replace-label',
	EDIT_DECISION_REPLACE_DESCRIPTION = 'wikibase-client-data-bridge-edit-decision-replace-description',
	EDIT_DECISION_UPDATE_LABEL = 'wikibase-client-data-bridge-edit-decision-update-label',
	EDIT_DECISION_UPDATE_DESCRIPTION = 'wikibase-client-data-bridge-edit-decision-update-description',
	REFERENCES_HEADING = 'wikibase-client-data-bridge-references-heading',
	ANONYMOUS_EDIT_WARNING_HEADING = 'wikibase-client-data-bridge-anonymous-edit-warning-heading',
	ANONYMOUS_EDIT_WARNING_MESSAGE = 'wikibase-client-data-bridge-anonymous-edit-warning-message',
	ANONYMOUS_EDIT_WARNING_PROCEED = 'wikibase-client-data-bridge-anonymous-edit-warning-proceed',
	ANONYMOUS_EDIT_WARNING_LOGIN = 'wikibase-client-data-bridge-anonymous-edit-warning-login',
	PERMISSIONS_HEADING = 'wikibase-client-data-bridge-permissions-error',
	PERMISSIONS_MORE_INFO = 'wikibase-client-data-bridge-permissions-error-info',
	PERMISSIONS_BLOCKED_ON_CLIENT_HEADING = 'wikibase-client-data-bridge-blocked-on-client-head',
	PERMISSIONS_BLOCKED_ON_CLIENT_BODY = 'wikibase-client-data-bridge-blocked-on-client-body',
	PERMISSIONS_BLOCKED_ON_REPO_HEADING = 'wikibase-client-data-bridge-blocked-on-repo-head',
	PERMISSIONS_BLOCKED_ON_REPO_BODY = 'wikibase-client-data-bridge-blocked-on-repo-body',
	PERMISSIONS_PAGE_CASCADE_PROTECTED_HEADING = 'wikibase-client-data-bridge-cascadeprotected-on-client-head',
	PERMISSIONS_PAGE_CASCADE_PROTECTED_BODY = 'wikibase-client-data-bridge-cascadeprotected-on-client-body',
	PERMISSIONS_PROTECTED_HEADING = 'wikibase-client-data-bridge-protected-on-repo-head',
	PERMISSIONS_PROTECTED_BODY = 'wikibase-client-data-bridge-protected-on-repo-body',
	PERMISSIONS_SEMI_PROTECTED_HEADING = 'wikibase-client-data-bridge-semiprotected-on-repo-head',
	PERMISSIONS_SEMI_PROTECTED_BODY = 'wikibase-client-data-bridge-semiprotected-on-repo-body',
	PERMISSIONS_CASCADE_PROTECTED_HEADING = 'wikibase-client-data-bridge-cascadeprotected-on-repo-head',
	PERMISSIONS_CASCADE_PROTECTED_BODY = 'wikibase-client-data-bridge-cascadeprotected-on-repo-body',
	PERMISSIONS_ERROR_UNKNOWN_HEADING = 'wikibase-client-data-bridge-permissions-error-unknown-head',
	PERMISSIONS_ERROR_UNKNOWN_BODY = 'wikibase-client-data-bridge-permissions-error-unknown-body',
	BAILOUT_HEADING = 'wikibase-client-data-bridge-bailout-heading',
	BAILOUT_SUGGESTION_GO_TO_REPO = 'wikibase-client-data-bridge-bailout-suggestion-go-to-repo',
	BAILOUT_SUGGESTION_GO_TO_REPO_BUTTON = 'wikibase-client-data-bridge-bailout-suggestion-go-to-repo-button',
	BAILOUT_SUGGESTION_EDIT_ARTICLE = 'wikibase-client-data-bridge-bailout-suggestion-edit-article',
	UNSUPPORTED_DATATYPE_ERROR_HEAD = 'wikibase-client-data-bridge-unsupported-datatype-error-head',
	UNSUPPORTED_DATATYPE_ERROR_BODY = 'wikibase-client-data-bridge-unsupported-datatype-error-body',
	DEPRECATED_STATEMENT_ERROR_HEAD = 'wikibase-client-data-bridge-deprecated-statement-error-head',
	DEPRECATED_STATEMENT_ERROR_BODY = 'wikibase-client-data-bridge-deprecated-statement-error-body',
	AMBIGUOUS_STATEMENT_ERROR_HEAD = 'wikibase-client-data-bridge-ambiguous-statement-error-head',
	AMBIGUOUS_STATEMENT_ERROR_BODY = 'wikibase-client-data-bridge-ambiguous-statement-error-body',
	SOMEVALUE_ERROR_HEAD = 'wikibase-client-data-bridge-somevalue-error-head',
	SOMEVALUE_ERROR_BODY = 'wikibase-client-data-bridge-somevalue-error-body',
	SAVING_ERROR_HEADING = 'wikibase-client-data-bridge-saving-error-heading',
	SAVING_ERROR_MESSAGE = 'wikibase-client-data-bridge-saving-error-message',
	EDIT_CONFLICT_ERROR_HEADING = 'wikibase-client-data-bridge-edit-conflict-error-heading',
	EDIT_CONFLICT_ERROR_MESSAGE = 'wikibase-client-data-bridge-edit-conflict-error-message',
	UNKNOWN_ERROR_HEADING = 'wikibase-client-data-bridge-unknown-error-heading',
	UNKNOWN_ERROR_MESSAGE = 'wikibase-client-data-bridge-unknown-error-message',
	ERROR_REPORT = 'wikibase-client-data-bridge-error-report',
	ERROR_RELOAD_BRIDGE = 'wikibase-client-data-bridge-error-reload-bridge',
	ERROR_RELOAD_PAGE = 'wikibase-client-data-bridge-error-reload-page',
	ERROR_GO_BACK = 'wikibase-client-data-bridge-error-go-back',
	ERROR_RETRY_SAVE = 'wikibase-client-data-bridge-error-retry-save',
	NOVALUE_ERROR_HEAD = 'wikibase-client-data-bridge-novalue-error-head',
	NOVALUE_ERROR_BODY = 'wikibase-client-data-bridge-novalue-error-body',
	LICENSE_HEADING = 'wikibase-client-data-bridge-license-heading',
	LICENSE_BODY = 'wikibase-client-data-bridge-license-body',
	LOGIN_WARNING = 'wikibase-client-data-bridge-login-warning',
	REFERENCE_NOTE = 'wikibase-client-data-bridge-reference-note',
	THANK_YOU_HEAD = 'wikibase-client-data-bridge-thank-you-head',
	THANK_YOU_EDIT_REFERENCE_ON_REPO_BODY = 'wikibase-client-data-bridge-thank-you-edit-reference-on-repo-body',
	THANK_YOU_EDIT_REFERENCE_ON_REPO_BUTTON = 'wikibase-client-data-bridge-thank-you-edit-reference-on-repo-button',
	SAVING_ERROR_ASSERTUSER_HEADING = 'wikibase-client-data-bridge-saving-error-assertuser-heading',
	SAVING_ERROR_ASSERTUSER_MESSAGE = 'wikibase-client-data-bridge-saving-error-assertuser-message',
	SAVING_ERROR_ASSERTUSER_SAVE = 'wikibase-client-data-bridge-saving-error-assertuser-save',
	SAVING_ERROR_ASSERTUSER_PUBLISH = 'wikibase-client-data-bridge-saving-error-assertuser-publish',
	SAVING_ERROR_ASSERTUSER_LOGIN = 'wikibase-client-data-bridge-saving-error-assertuser-login',
	SAVING_ERROR_ASSERTUSER_KEEP_EDITING = 'wikibase-client-data-bridge-saving-error-assertuser-editing',
}

export default MessageKeys;
